Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.DialogDescriptionConfig Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (name, first_tab, width, height, char_width, char_height, align_children, element_array)
| Constructor, with parameters. More...
| Set (name, first_tab, width, height, char_width, char_height, align_children, element_array)
| Set values. More...

## Public Attributes
| align_children
| The alignment for all descendants.
| char_height
| The height of the dialog box in characters. More...
| char_width
| The width of the dialog box in characters. More...
| element_array
| An array of dialog description element array object.
| first_tab
| An ItemID for the dialog box item that should be first in the tab order. More...
| height
| The height of the dialog box in pixels. More...
| name
| The title bar of the dialog box.
| width
| The width of the dialog box in pixels. More...

## Detailed Description

This class represents dialog config.

## Member Function Documentation

## ◆ constructor()

FSDK.DialogDescriptionConfig.constructor | ( | name | ,
|  | first_tab | ,
|  | width | ,
|  | height | ,
|  | char_width | ,
|  | char_height | ,
|  | align_children | ,
|  | element_array |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

## ◆ Set()

FSDK.DialogDescriptionConfig.Set | ( | name | ,
|  | first_tab | ,
|  | width | ,
|  | height | ,
|  | char_width | ,
|  | char_height | ,
|  | align_children | ,
|  | element_array |
| ) |  |

Set values.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

Returns
  None.

## Member Data Documentation

## ◆ char_height

FSDK.DialogDescriptionConfig.char_height

The height of the dialog box in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

FSDK.DialogDescriptionConfig.char_width

The width of the dialog box in characters.

If no width is specified, the combined width of the contents is used.

## ◆ first_tab

FSDK.DialogDescriptionConfig.first_tab

An ItemID for the dialog box item that should be first in the tab order.

If no width is specified, the combined width of the contents is used.

## ◆ height

FSDK.DialogDescriptionConfig.height

The height of the dialog box in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

FSDK.DialogDescriptionConfig.width

The width of the dialog box in pixels.

If no width is specified, the combined width of the contents is used.